/*-----------------------------------------------------------------
	Timeline / Journal
------------------------------------------------------------------- */

.timeline-grid {
    position: relative;
    display: grid;
    gap: 3rem;
    grid-template-columns: repeat(auto-fit, minmax(280px, 1fr));
    padding-left: 2rem;
    padding-right: 2rem;
}

.timeline-line {
    position: absolute;
    top: 32px;
    left: 0;
    right: 0;
    height: 4px;
    background: repeating-linear-gradient(90deg, var(--black-color), var(--black-color) 10px, transparent 10px, transparent 20px);
 	z-index: 0;
}

.timeline-item {
    position: relative;
    text-align: center;
    z-index: 10;
}

.timeline-dot {
    width: 20px;
    height: 20px;
    background-color: var(--black-color) ;
    border-radius: 50%;
    border: 4px solid white;
    z-index: 20;
    cursor: pointer;
    margin: 0 auto;
    margin-top: 24px;
    position: relative;
}
  
.timeline-dot.active {
    background-color: var(--selection-intense-color);
    transform: scale(1.2);
}
  
.month-label {
    font-weight: 700;
    font-size: 0.9rem;
    color: var(--black-color);
	cursor: pointer;
    z-index: 30;
    margin-top: 8px;
}

.month-label.active {
    color: var(--selection-intense-color);
}

.timeline-article {
    background: var(--background-nav-color);
    border-radius: 10px;
    box-shadow: 0 8px 15px rgb(0 0 0 / 0.1);
    text-align: center;
    padding: 1rem;
    margin-top: 1rem;
}

.timeline-article img {
    width: 100%;
    border-radius: 8px;
    margin-bottom: 1rem;
}

.timeline-article h3 a {
    font-size: 1.25rem;
    margin-bottom: 0.5rem;
    color: var(--text-color);
}

.timeline-article h3 a:hover {
    color: var(--selection-color);
}

.timeline-article p {
    font-size: 0.9rem;
    color: var(--text-color);
}

.timeline-article a {
    display: inline-block;
    margin-top: 0.7rem;
    color: var(--selection-color);
    font-weight: 600;
    font-size: 0.9rem;
}

.mobile-article-container {
    display: none;
    margin-top: 2rem;
    transition: opacity 0.5s ease, filter 0.5s ease;
}

.mobile-article-container.active {
    display: block;
}

/* RESPONSIVE < 950px */

@media screen and (max-width: 1000px) {
    .timeline-grid {
    display: flex;
	justify-content: space-evenly;
    flex-wrap: nowrap;
    overflow-x: auto;
    gap: 2rem;
  }
    .desktop-only {
      display: none;
    }
    .mobile-article-container {
      display: block;
      padding-left: 2rem;
      padding-right: 2rem;
      margin-bottom: 2rem;
    }
    .fade-transition {
      opacity: 0;
      filter: blur(4px);
    }
}

/****  Navigation Utils ****/
.is-hidden {
    visibility: hidden;
    opacity: 0;
    transition: opacity 0.3s ease;
}
